Skip to main content
GET
/
account
Look up or create account by EOA
curl --request GET \
  --url https://api.portal.blend.money/extern/svr/{accountTypeId}/account \
  --header 'X-API-Key: <api-key>'
{
  "data": {
    "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "safeAddress": "0x1111111111111111111111111111111111111111",
    "chainsDeployed": [
      8453
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.blend.money/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Server API key, for example sk_live_.... Used by the server SDK. Scoped to an organization.

Query Parameters

address
string
required
Pattern: ^0x[0-9a-fA-F]{40}$
Example:

"0x1111111111111111111111111111111111111111"

Response

Account found or created

status
enum<string>
required
Available options:
success
data
object
Last modified on May 27, 2026